const Gio = imports.gi.Gio;
const St = imports.gi.St;
const Main = imports.ui.main;
const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const iconPath = Me.path + '/img/logo.svg';

let button;

function _showApps() {
    if (Main.overview.visible) {
        Main.overview.toggle();
    } else { 
        Main.overview.viewSelector.showApps();
    }
}

function init() {
    button = new St.Bin({ style_class: 'launch-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });
    let icon = new St.Icon({ 
                            gicon: Gio.icon_new_for_string(iconPath),
                            style_class: 'launch-icon' });

    button.set_child(icon);
    button.connect('button-press-event', _showApps);
}

function enable() {
    Main.panel._leftBox.insert_child_at_index(button, 1);
{
    let indicator = Main.panel.statusArea['activities'];
    if(indicator != null) {
        indicator.container.hide();
    }
  }
}

function disable() {
    Main.panel._leftBox.remove_child(button);
{
	let indicator = Main.panel.statusArea['activities'];
    if(indicator != null) {
        indicator.container.show();
    }
  }
}
